> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uplifthub.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Product



## OpenAPI

````yaml /openapi.json post /Product
openapi: 3.0.0
info:
  title: V1
  description: ''
  version: '1'
servers:
  - url: https://app.uplifthub.io/P195_Exposed_Integrations/rest/V1
security:
  - ApiKeyAuth: []
tags:
  - name: Accounts
  - name: Campaigns
  - name: Line Items
  - name: Products
  - name: Documents
  - name: Source Markets
  - name: Reporting
  - name: System
paths:
  /Product:
    post:
      tags:
        - Products
      summary: Create Product
      operationId: CreateProduct
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateProduct'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponseStructure'
components:
  schemas:
    CreateProduct:
      description: ''
      type: object
      properties:
        Name:
          type: string
          default: ''
        ExternalId:
          type: string
          default: ''
        Description:
          type: string
          default: ''
        PlatformId:
          type: integer
          example: 1234567891234567
          format: int64
        ChannelId:
          type: integer
          example: 1234567891234567
          format: int64
        SourceMarket:
          type: integer
          example: 1234567891234567
          format: int64
        FormatAdSpec:
          type: string
          default: ''
        AdCreativeDeadline:
          type: integer
          example: 0
          format: int32
        CostBasis:
          type: string
          default: ''
        RateCard:
          type: number
          example: 0.1
        PartnerRate:
          type: number
          example: 0.1
        MinimumPartnerBudget:
          type: number
          example: 0.1
        FulfillmentCost:
          type: number
          example: 0.1
        NumberOfPlacementsPerCostBasis:
          type: integer
          example: 0
          format: int32
        MaximumEvidenceImages:
          type: integer
          example: 0
          format: int32
        EnableInventoryManagement:
          type: boolean
          example: false
        InventoryBasis:
          type: string
          default: ''
        NumberOfPlacementsPerInventoryBasis:
          type: integer
          example: 0
          format: int32
        TextCustomReportingFields:
          type: string
          default: ''
        IntegerCustomReportingFields:
          type: string
          default: ''
        DecimalCustomReportingFields:
          type: string
          default: ''
    GenericResponseStructure:
      description: ''
      type: object
      properties:
        Success:
          type: boolean
          example: false
        Message:
          type: string
          default: ''
        Id:
          type: integer
          example: 1234567891234567
          format: int64
        ExternalId:
          type: string
          default: ''
      required:
        - Success
        - Message
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-apikey

````